Skip to main content
PUT
Edit a cluster

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

organizationId
string<uuid>
required

Organization ID

clusterId
string<uuid>
required

Cluster ID

Body

application/json
name
string
required

name is case-insensitive

region
string
required
cloud_provider
enum<string>
required
Available options:
AWS,
SCW,
GCP,
DO,
AZURE,
OVH,
CIVO,
HETZNER,
ORACLE,
IBM,
ON_PREMISE
description
string
cloud_provider_credentials
object
min_running_nodes
integer
default:1
max_running_nodes
integer
default:1
disk_size
integer
default:40

Unit is in GB. The disk size to be used for the node configuration

Example:

50

disk_iops
integer

Unit is operation/seconds. The disk IOPS to be used for the node configuration

Required range: 3000 <= x <= 16000
Example:

7800

disk_throughput
integer

Unit is in MB/s. The disk thoughput to be used for the node configuration

Required range: 125 <= x <= 1000
Example:

255

instance_type
string

the instance type to be used for this cluster. The list of values can be retrieved via the endpoint /{CloudProvider}/instanceType

Example:

"T3A_LARGE"

kubernetes
enum<string>
default:MANAGED
Available options:
MANAGED,
SELF_MANAGED,
PARTIALLY_MANAGED
production
boolean

specific flag to indicate that this cluster is a production one

ssh_keys
string[]

Indicate your public ssh_key to remotely connect to your EC2 instance.

features
object[]
metrics_parameters
MetricsParameters · object
infrastructure_charts_parameters
object
keda
ClusterKeda · object
labels_groups
ClusterLabelsGroup · object[]
secret_manager_accesses
SecretManagerAccessRequestList · object[]

Response

Edited the cluster

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
organization
object
required
name
string
required

name is case-insensitive

region
string
required
cloud_provider
enum<string>
required
Available options:
AWS,
SCW,
GCP,
DO,
AZURE,
OVH,
CIVO,
HETZNER,
ORACLE,
IBM,
ON_PREMISE
updated_at
string<date-time>
read-only
description
string
min_running_nodes
integer
default:1
max_running_nodes
integer
default:1
disk_size
integer
default:20

Unit is in GB. The disk size to be used for the node configuration

Example:

50

disk_iops
integer

Unit is operation/seconds. The disk IOPS to be used for the node configuration

Required range: 3000 <= x <= 16000
Example:

7800

disk_throughput
integer

Unit is in MB/s. The disk thoughput to be used for the node configuration

Required range: 125 <= x <= 1000
Example:

255

instance_type
string

the instance type to be used for this cluster. The list of values can be retrieved via the endpoint /{CloudProvider}/instanceType

Example:

"T3A_LARGE"

kubernetes
enum<string>
default:MANAGED
Available options:
MANAGED,
SELF_MANAGED,
PARTIALLY_MANAGED
cpu
integer

unit is millicores (m). 1000m = 1 cpu

Example:

10000

memory
integer

unit is MB. 1024 MB = 1GB

Example:

4096

estimated_cloud_provider_cost
integer

This is an estimation of the cost this cluster will represent on your cloud proider bill, based on your current configuration

status
enum<string>
Available options:
BUILDING,
BUILD_ERROR,
CANCELED,
CANCELING,
DELETED,
DELETE_ERROR,
DELETE_QUEUED,
DELETING,
DEPLOYED,
DEPLOYING,
DEPLOYMENT_ERROR,
DEPLOYMENT_QUEUED,
DRY_RUN,
QUEUED,
READY,
STOPPED,
STOPPING,
STOP_ERROR,
STOP_QUEUED,
RESTART_QUEUED,
RESTARTING,
RESTARTED,
RESTART_ERROR,
INVALID_CREDENTIALS
has_access
boolean
version
string
is_default
boolean
is_demo
boolean

specific flag to indicate that this cluster is a demo one

production
boolean

specific flag to indicate that this cluster is a production one

ssh_keys
string[]

Indicate your public ssh_key to remotely connect to your EC2 instance.

features
object[]
deployment_status
enum<string>
Available options:
NEVER_DEPLOYED,
OUT_OF_DATE,
UP_TO_DATE
metrics_parameters
MetricsParameters · object
infrastructure_outputs
object
infrastructure_charts_parameters
object
keda
ClusterKeda · object
labels_groups
ClusterLabelsGroup · object[]
secret_manager_accesses
SecretManagerAccessList · object[]